Subject: IAB Reappoints Peter Koch to ICANN Nominating Committee

From: IAB Executive Administrative Manager <[email-masked]>
Date: Tue, 07 Jul 2020 10:48:56 -0700

The IAB has been deliberating the appointment from the IETF community to 
the ICANN NomCom over the past few weeks. After seeking feedback 
from the IETF community, the IAB has decided to re-appoint Peter Koch to 
this position for a second one-year term. 

The IAB extends its sincere thanks to Peter for serving the community in 
this role. 

Best regards,

Cindy Morgan
IAB Executive Administrative Manager